org.apache.fop.render.gradient

## Class GradientMaker

- java.lang.Object
- - org.apache.fop.render.gradient.GradientMaker

    public final class GradientMaker
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `GradientMaker.DoubleFormatter`

### Method Summary

All Methods Static Methods Concrete Methods
`static Pattern` `makeLinearGradient(org.apache.batik.ext.awt.LinearGradientPaint gp, AffineTransform baseTransform, AffineTransform transform)`
`static Pattern` `makeRadialGradient(org.apache.batik.ext.awt.RadialGradientPaint gradient, AffineTransform baseTransform, AffineTransform transform)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### makeLinearGradient

    public static Pattern makeLinearGradient(org.apache.batik.ext.awt.LinearGradientPaint gp,
                                             AffineTransform baseTransform,
                                             AffineTransform transform)

#### makeRadialGradient

    public static Pattern makeRadialGradient(org.apache.batik.ext.awt.RadialGradientPaint gradient,
                                             AffineTransform baseTransform,
                                             AffineTransform transform)